> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/enterprise/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/enterprise/_mcp/server.

# Activate/Reactivate/Deactivate Payer IDs

PATCH https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids
Content-Type: application/json

This endpoint can activate a payer ID using the payer ID maintenance services.

Reference: https://citi-demo.ferndocs.com/enterprise/enterprises/api-reference/payment-acceptance/payer-id-management-services/payer-id/payer-id-maintenance

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://tts.sit.apib2b.citi.com/citiconnect/sit5` (dev gateway url, default)
- `https://tts.apib2b.citi.com/citiconnect/prod` (production gateway url)
- `https://tts.sandbox.apib2b.citi.com/citiconnect/sb` (sandbox url)

## Request

### Query parameters

- `payerid-number` (string, optional) — Unique identification number assigned to payers and beneficiaries for incoming payments.
- `action` (enum, required) — Identification of request action. Allowed values are: `Activation` `Deactivation``Update`
  - Allowed values: `Activation`, `Deactivation`, `Update`
- `client_id` (string, required) — This is your unique identifier shared during your CitiConnect API onboarding. This is the same `client_id` used for OAuth token generation.

### Headers

- `Authorization` (string, required) — The OAuth token prefixed with "Bearer" and space in between.

### Body (application/json)

This endpoint expects a PayerIdMaintenanceRequest.

- `country_code` (string, required) — The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is `DE`. For France, it is `FR`. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `party_type_details` (enum, optional) — Account party type details. Allowed account part type values are: `S` - sole trader, which is an enterprise owned or run by a single person. `C` - a company that is owned by an organization or business entity
  - Allowed values: `C`, `S`
- `assignee_id` (string, optional) — The assignee ID expected from the client for upfront sanction screening and activation of Payer ID number,
- `create_assignee_id` (enum, optional) — Feature to create assignee ID is given to clients. Citi is required create the assignee ID and send the assignee ID in response push notifications. Allowed values are: Y - YESN - NO
  - Allowed values: `Y`, `N`
- `merchant` (MerchantDetails, optional)
- `beneficiary` (list of BeneficiaryDetails, optional)

## Response

### 202

Accepted

- `status_code` (string, required) — Status of the request sent as an synchronous response to the client. Status code will have value as `PIPND`.
- `status_description` (string, required) — The incoming request acknowledgement message, an example is, `Payer ID Maintenance request is in-progress.`
- `request_id` (string, required) — Auto-generated unique identification assigned for the incoming request.

## Errors

### 400 Bad Request Error

Bad Request

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

## Types

### MerchantDetails

- `address` (string, optional) — The merchant or beneficiary address.
- `zipcode` (string, optional) — The merchant or beneficiary zip code.
- `city` (string, optional) — The merchant or beneficiary city.
- `state` (string, optional) — The merchant or beneficiary state.
- `country_code` (string, optional) — The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is `DE`. For France, it is `FR`. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `name_1` (string, optional) — The last name or company name. For 'sole trader', include the last name. For 'company', include the company name.
- `name_2` (string, optional) — For 'sole trader', include the first name. For 'company', leave blank or include the second line of the company name.
- `date` (date, optional) — The sole trader's date of birth or the identification of the company's date of incorporation. This parameter follows the ISO format and is a fixed 10-digit format (YYYY-MM-DD).
- `tax_identifier` (string, optional) — The merchant's tax identifier based on country.
- `website` (string, optional) — The merchant's profile, website, or storefront.

### BeneficiaryDetails

- `address` (string, optional) — The merchant or beneficiary address.
- `zipcode` (string, optional) — The merchant or beneficiary zip code.
- `city` (string, optional) — The merchant or beneficiary city.
- `state` (string, optional) — The merchant or beneficiary state.
- `country_code` (string, optional) — The ISO country code specifying the country where the account is held. For example, if we receive a request for Germany then the county code is `DE`. For France, it is `FR`. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `beneficiary_id` (string, optional) — Unique ID for a beneficiary.
- `last_name` (string, optional) — The beneficiary owner's last name.
- `middle_name` (string, optional) — The beneficiary owner's middle name.
- `first_name` (string, optional) — The beneficiary owner's first name.
- `dob` (date, optional) — The beneficial owner's date of birth. As per ISO format, this parameter is in a fixed 10-digit format (YYYY-MM-DD).
- `tax_identifier` (string, optional) — Identification of last name of the individual or last name of company for the sole trader.

### PayerIdErrorDetail

- `issue` (string, optional) — More information about the issue.
- `action` (string, optional) — The corrective action to be taken to resolve the issue.
- `code` (string, optional) — Error category that provides more details on error types.

## Examples

### OKResponseExampleForActivation

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python OKResponseExampleForActivation
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers, params=querystring)

print(response.json())
```

```javascript OKResponseExampleForActivation
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go OKResponseExampleForActivation
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby OKResponseExampleForActivation
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java OKResponseExampleForActivation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php OKResponseExampleForActivation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp OKResponseExampleForActivation
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift OKResponseExampleForActivation
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### OKResponseExampleForDeactivation

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "Payer ID maintenance request is in progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python OKResponseExampleForDeactivation
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers, params=querystring)

print(response.json())
```

```javascript OKResponseExampleForDeactivation
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go OKResponseExampleForDeactivation
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby OKResponseExampleForDeactivation
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java OKResponseExampleForDeactivation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php OKResponseExampleForDeactivation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp OKResponseExampleForDeactivation
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift OKResponseExampleForDeactivation
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIdActivationExample

**Request**

```json
{
  "country_code": "GB",
  "party_type_details": "C",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "12345776",
    "city": "London",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "9876567",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "SAN STREET 123",
      "zipcode": "8767865",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    }
  ]
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIdActivationExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "GB",
    "party_type_details": "C",
    "merchant": {
        "address": "XXX, 123",
        "zipcode": "12345776",
        "city": "London",
        "state": "XXX",
        "country_code": "GB",
        "name_1": "XXX",
        "name_2": "YYY",
        "date": "2022-02-28",
        "tax_identifier": "12345678",
        "website": "http://www.abc.com"
    },
    "beneficiary": [
        {
            "address": "SAN STREET 123",
            "zipcode": "9876567",
            "city": "London",
            "state": "XXX",
            "country_code": "GB",
            "last_name": "YYY",
            "middle_name": "ZZZ",
            "first_name": "AAA",
            "dob": "2022-02-28",
            "tax_identifier": "12345676"
        },
        {
            "address": "SAN STREET 123",
            "zipcode": "8767865",
            "city": "London",
            "state": "XXX",
            "country_code": "GB",
            "last_name": "YYY",
            "middle_name": "ZZZ",
            "first_name": "AAA",
            "dob": "2022-02-28",
            "tax_identifier": "12345676"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIdActivationExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB","party_type_details":"C","merchant":{"address":"XXX, 123","zipcode":"12345776","city":"London","state":"XXX","country_code":"GB","name_1":"XXX","name_2":"YYY","date":"2022-02-28","tax_identifier":"12345678","website":"http://www.abc.com"},"beneficiary":[{"address":"SAN STREET 123","zipcode":"9876567","city":"London","state":"XXX","country_code":"GB","last_name":"YYY","middle_name":"ZZZ","first_name":"AAA","dob":"2022-02-28","tax_identifier":"12345676"},{"address":"SAN STREET 123","zipcode":"8767865","city":"London","state":"XXX","country_code":"GB","last_name":"YYY","middle_name":"ZZZ","first_name":"AAA","dob":"2022-02-28","tax_identifier":"12345676"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIdActivationExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"12345776\",\n    \"city\": \"London\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"9876567\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767865\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIdActivationExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"12345776\",\n    \"city\": \"London\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"9876567\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767865\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIdActivationExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"12345776\",\n    \"city\": \"London\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"9876567\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767865\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    }\n  ]\n}")
  .asString();
```

```php PayerIdActivationExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB",
  "party_type_details": "C",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "12345776",
    "city": "London",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "9876567",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "SAN STREET 123",
      "zipcode": "8767865",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIdActivationExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"12345776\",\n    \"city\": \"London\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"9876567\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767865\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIdActivationExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "GB",
  "party_type_details": "C",
  "merchant": [
    "address": "XXX, 123",
    "zipcode": "12345776",
    "city": "London",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  ],
  "beneficiary": [
    [
      "address": "SAN STREET 123",
      "zipcode": "9876567",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    ],
    [
      "address": "SAN STREET 123",
      "zipcode": "8767865",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIdActivationWithSoleTraderExample

**Request**

```json
{
  "country_code": "GB",
  "party_type_details": "S",
  "create_assignee_id": "Y",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "123457456",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345657",
    "website": "http://www.abc.com"
  }
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIdActivationWithSoleTraderExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "GB",
    "party_type_details": "S",
    "create_assignee_id": "Y",
    "merchant": {
        "address": "XXX, 123",
        "zipcode": "123457456",
        "city": "ABCDEFHG",
        "state": "XXX",
        "country_code": "GB",
        "name_1": "XXX",
        "name_2": "YYY",
        "date": "2022-02-28",
        "tax_identifier": "12345657",
        "website": "http://www.abc.com"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIdActivationWithSoleTraderExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB","party_type_details":"S","create_assignee_id":"Y","merchant":{"address":"XXX, 123","zipcode":"123457456","city":"ABCDEFHG","state":"XXX","country_code":"GB","name_1":"XXX","name_2":"YYY","date":"2022-02-28","tax_identifier":"12345657","website":"http://www.abc.com"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIdActivationWithSoleTraderExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"S\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"123457456\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345657\",\n    \"website\": \"http://www.abc.com\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIdActivationWithSoleTraderExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"S\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"123457456\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345657\",\n    \"website\": \"http://www.abc.com\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIdActivationWithSoleTraderExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"S\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"123457456\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345657\",\n    \"website\": \"http://www.abc.com\"\n  }\n}")
  .asString();
```

```php PayerIdActivationWithSoleTraderExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB",
  "party_type_details": "S",
  "create_assignee_id": "Y",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "123457456",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345657",
    "website": "http://www.abc.com"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIdActivationWithSoleTraderExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"S\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"123457456\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345657\",\n    \"website\": \"http://www.abc.com\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIdActivationWithSoleTraderExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "GB",
  "party_type_details": "S",
  "create_assignee_id": "Y",
  "merchant": [
    "address": "XXX, 123",
    "zipcode": "123457456",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345657",
    "website": "http://www.abc.com"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDActivationWithAssigneeIDRequestExample

**Request**

```json
{
  "country_code": "GB",
  "assignee_id": "CCAPI123456"
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIDActivationWithAssigneeIDRequestExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "GB",
    "assignee_id": "CCAPI123456"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDActivationWithAssigneeIDRequestExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB","assignee_id":"CCAPI123456"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDActivationWithAssigneeIDRequestExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\",\n  \"assignee_id\": \"CCAPI123456\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDActivationWithAssigneeIDRequestExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\",\n  \"assignee_id\": \"CCAPI123456\"\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDActivationWithAssigneeIDRequestExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\",\n  \"assignee_id\": \"CCAPI123456\"\n}")
  .asString();
```

```php PayerIDActivationWithAssigneeIDRequestExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB",
  "assignee_id": "CCAPI123456"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDActivationWithAssigneeIDRequestExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\",\n  \"assignee_id\": \"CCAPI123456\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDActivationWithAssigneeIDRequestExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "GB",
  "assignee_id": "CCAPI123456"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDActivationCreateAssigneeIDExample

**Request**

```json
{
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "Y",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234575",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "8767853",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "PAN STREET 123",
      "zipcode": "8767815",
      "city": "CBVBF",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "GGG",
      "middle_name": "LLL",
      "first_name": "OOO",
      "dob": "2021-02-28",
      "tax_identifier": "12345636"
    }
  ]
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIDActivationCreateAssigneeIDExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "GB",
    "party_type_details": "C",
    "create_assignee_id": "Y",
    "merchant": {
        "address": "XXX, 123",
        "zipcode": "1234575",
        "city": "ABCDEFHG",
        "state": "XXX",
        "country_code": "GB",
        "name_1": "XXX",
        "name_2": "YYY",
        "date": "2022-02-28",
        "tax_identifier": "12345678",
        "website": "http://www.abc.com"
    },
    "beneficiary": [
        {
            "address": "SAN STREET 123",
            "zipcode": "8767853",
            "city": "London",
            "state": "XXX",
            "country_code": "GB",
            "last_name": "YYY",
            "middle_name": "ZZZ",
            "first_name": "AAA",
            "dob": "2022-02-28",
            "tax_identifier": "12345676"
        },
        {
            "address": "PAN STREET 123",
            "zipcode": "8767815",
            "city": "CBVBF",
            "state": "XXX",
            "country_code": "GB",
            "last_name": "GGG",
            "middle_name": "LLL",
            "first_name": "OOO",
            "dob": "2021-02-28",
            "tax_identifier": "12345636"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDActivationCreateAssigneeIDExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB","party_type_details":"C","create_assignee_id":"Y","merchant":{"address":"XXX, 123","zipcode":"1234575","city":"ABCDEFHG","state":"XXX","country_code":"GB","name_1":"XXX","name_2":"YYY","date":"2022-02-28","tax_identifier":"12345678","website":"http://www.abc.com"},"beneficiary":[{"address":"SAN STREET 123","zipcode":"8767853","city":"London","state":"XXX","country_code":"GB","last_name":"YYY","middle_name":"ZZZ","first_name":"AAA","dob":"2022-02-28","tax_identifier":"12345676"},{"address":"PAN STREET 123","zipcode":"8767815","city":"CBVBF","state":"XXX","country_code":"GB","last_name":"GGG","middle_name":"LLL","first_name":"OOO","dob":"2021-02-28","tax_identifier":"12345636"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDActivationCreateAssigneeIDExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234575\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767853\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"PAN STREET 123\",\n      \"zipcode\": \"8767815\",\n      \"city\": \"CBVBF\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"GGG\",\n      \"middle_name\": \"LLL\",\n      \"first_name\": \"OOO\",\n      \"dob\": \"2021-02-28\",\n      \"tax_identifier\": \"12345636\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDActivationCreateAssigneeIDExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234575\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767853\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"PAN STREET 123\",\n      \"zipcode\": \"8767815\",\n      \"city\": \"CBVBF\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"GGG\",\n      \"middle_name\": \"LLL\",\n      \"first_name\": \"OOO\",\n      \"dob\": \"2021-02-28\",\n      \"tax_identifier\": \"12345636\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDActivationCreateAssigneeIDExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234575\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767853\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"PAN STREET 123\",\n      \"zipcode\": \"8767815\",\n      \"city\": \"CBVBF\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"GGG\",\n      \"middle_name\": \"LLL\",\n      \"first_name\": \"OOO\",\n      \"dob\": \"2021-02-28\",\n      \"tax_identifier\": \"12345636\"\n    }\n  ]\n}")
  .asString();
```

```php PayerIDActivationCreateAssigneeIDExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "Y",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234575",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "8767853",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "PAN STREET 123",
      "zipcode": "8767815",
      "city": "CBVBF",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "GGG",
      "middle_name": "LLL",
      "first_name": "OOO",
      "dob": "2021-02-28",
      "tax_identifier": "12345636"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDActivationCreateAssigneeIDExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234575\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"8767853\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"PAN STREET 123\",\n      \"zipcode\": \"8767815\",\n      \"city\": \"CBVBF\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"GGG\",\n      \"middle_name\": \"LLL\",\n      \"first_name\": \"OOO\",\n      \"dob\": \"2021-02-28\",\n      \"tax_identifier\": \"12345636\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDActivationCreateAssigneeIDExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "Y",
  "merchant": [
    "address": "XXX, 123",
    "zipcode": "1234575",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  ],
  "beneficiary": [
    [
      "address": "SAN STREET 123",
      "zipcode": "8767853",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    ],
    [
      "address": "PAN STREET 123",
      "zipcode": "8767815",
      "city": "CBVBF",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "GGG",
      "middle_name": "LLL",
      "first_name": "OOO",
      "dob": "2021-02-28",
      "tax_identifier": "12345636"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDActivationReconRequestExample

**Request**

```json
{
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "N"
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIDActivationReconRequestExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "GB",
    "party_type_details": "C",
    "create_assignee_id": "N"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDActivationReconRequestExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB","party_type_details":"C","create_assignee_id":"N"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDActivationReconRequestExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"N\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDActivationReconRequestExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"N\"\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDActivationReconRequestExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"N\"\n}")
  .asString();
```

```php PayerIDActivationReconRequestExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "N"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDActivationReconRequestExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"N\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDActivationReconRequestExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "N"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDActivationCreateAssigneeIDsimultaneouslyExample

**Request**

```json
{
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "Y",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ]
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIDActivationCreateAssigneeIDsimultaneouslyExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "GB",
    "party_type_details": "C",
    "create_assignee_id": "Y",
    "merchant": {
        "address": "XXX, 123",
        "zipcode": "1234573",
        "city": "ABCDEFHG",
        "state": "XXX",
        "country_code": "GB",
        "name_1": "XXX",
        "name_2": "YYY",
        "date": "2022-02-28",
        "tax_identifier": "12345678",
        "website": "http://www.abc.com"
    },
    "beneficiary": [
        {
            "address": "SAN STREET 123",
            "zipcode": "56787534",
            "city": "London",
            "state": "XXX",
            "country_code": "GB",
            "last_name": "YYY",
            "middle_name": "ZZZ",
            "first_name": "AAA",
            "dob": "2022-02-28",
            "tax_identifier": "12345676"
        },
        {
            "address": "DAN STREET 123",
            "zipcode": "8067865",
            "city": "RTYUI",
            "state": "KKKK",
            "country_code": "GB",
            "last_name": "VVVD",
            "middle_name": "EWEWE",
            "first_name": "JHGFDE",
            "dob": "2020-02-28",
            "tax_identifier": "12345476"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDActivationCreateAssigneeIDsimultaneouslyExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB","party_type_details":"C","create_assignee_id":"Y","merchant":{"address":"XXX, 123","zipcode":"1234573","city":"ABCDEFHG","state":"XXX","country_code":"GB","name_1":"XXX","name_2":"YYY","date":"2022-02-28","tax_identifier":"12345678","website":"http://www.abc.com"},"beneficiary":[{"address":"SAN STREET 123","zipcode":"56787534","city":"London","state":"XXX","country_code":"GB","last_name":"YYY","middle_name":"ZZZ","first_name":"AAA","dob":"2022-02-28","tax_identifier":"12345676"},{"address":"DAN STREET 123","zipcode":"8067865","city":"RTYUI","state":"KKKK","country_code":"GB","last_name":"VVVD","middle_name":"EWEWE","first_name":"JHGFDE","dob":"2020-02-28","tax_identifier":"12345476"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDActivationCreateAssigneeIDsimultaneouslyExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234573\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"56787534\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"DAN STREET 123\",\n      \"zipcode\": \"8067865\",\n      \"city\": \"RTYUI\",\n      \"state\": \"KKKK\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"VVVD\",\n      \"middle_name\": \"EWEWE\",\n      \"first_name\": \"JHGFDE\",\n      \"dob\": \"2020-02-28\",\n      \"tax_identifier\": \"12345476\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDActivationCreateAssigneeIDsimultaneouslyExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234573\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"56787534\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"DAN STREET 123\",\n      \"zipcode\": \"8067865\",\n      \"city\": \"RTYUI\",\n      \"state\": \"KKKK\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"VVVD\",\n      \"middle_name\": \"EWEWE\",\n      \"first_name\": \"JHGFDE\",\n      \"dob\": \"2020-02-28\",\n      \"tax_identifier\": \"12345476\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDActivationCreateAssigneeIDsimultaneouslyExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234573\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"56787534\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"DAN STREET 123\",\n      \"zipcode\": \"8067865\",\n      \"city\": \"RTYUI\",\n      \"state\": \"KKKK\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"VVVD\",\n      \"middle_name\": \"EWEWE\",\n      \"first_name\": \"JHGFDE\",\n      \"dob\": \"2020-02-28\",\n      \"tax_identifier\": \"12345476\"\n    }\n  ]\n}")
  .asString();
```

```php PayerIDActivationCreateAssigneeIDsimultaneouslyExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "Y",
  "merchant": {
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  },
  "beneficiary": [
    {
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    },
    {
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDActivationCreateAssigneeIDsimultaneouslyExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\",\n  \"party_type_details\": \"C\",\n  \"create_assignee_id\": \"Y\",\n  \"merchant\": {\n    \"address\": \"XXX, 123\",\n    \"zipcode\": \"1234573\",\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"XXX\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"YYY\",\n    \"date\": \"2022-02-28\",\n    \"tax_identifier\": \"12345678\",\n    \"website\": \"http://www.abc.com\"\n  },\n  \"beneficiary\": [\n    {\n      \"address\": \"SAN STREET 123\",\n      \"zipcode\": \"56787534\",\n      \"city\": \"London\",\n      \"state\": \"XXX\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"YYY\",\n      \"middle_name\": \"ZZZ\",\n      \"first_name\": \"AAA\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"12345676\"\n    },\n    {\n      \"address\": \"DAN STREET 123\",\n      \"zipcode\": \"8067865\",\n      \"city\": \"RTYUI\",\n      \"state\": \"KKKK\",\n      \"country_code\": \"GB\",\n      \"last_name\": \"VVVD\",\n      \"middle_name\": \"EWEWE\",\n      \"first_name\": \"JHGFDE\",\n      \"dob\": \"2020-02-28\",\n      \"tax_identifier\": \"12345476\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDActivationCreateAssigneeIDsimultaneouslyExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "GB",
  "party_type_details": "C",
  "create_assignee_id": "Y",
  "merchant": [
    "address": "XXX, 123",
    "zipcode": "1234573",
    "city": "ABCDEFHG",
    "state": "XXX",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "YYY",
    "date": "2022-02-28",
    "tax_identifier": "12345678",
    "website": "http://www.abc.com"
  ],
  "beneficiary": [
    [
      "address": "SAN STREET 123",
      "zipcode": "56787534",
      "city": "London",
      "state": "XXX",
      "country_code": "GB",
      "last_name": "YYY",
      "middle_name": "ZZZ",
      "first_name": "AAA",
      "dob": "2022-02-28",
      "tax_identifier": "12345676"
    ],
    [
      "address": "DAN STREET 123",
      "zipcode": "8067865",
      "city": "RTYUI",
      "state": "KKKK",
      "country_code": "GB",
      "last_name": "VVVD",
      "middle_name": "EWEWE",
      "first_name": "JHGFDE",
      "dob": "2020-02-28",
      "tax_identifier": "12345476"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIdDeactivationExample

**Request**

```json
{
  "country_code": "GB"
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIdDeactivationExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = { "country_code": "GB" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIdDeactivationExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIdDeactivationExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIdDeactivationExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\"\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIdDeactivationExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\"\n}")
  .asString();
```

```php PayerIdDeactivationExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIdDeactivationExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIdDeactivationExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["country_code": "GB"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIdReactivationExample

**Request**

```json
{
  "country_code": "GB"
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIdReactivationExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = { "country_code": "GB" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIdReactivationExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"GB"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIdReactivationExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"GB\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIdReactivationExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"GB\"\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIdReactivationExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"GB\"\n}")
  .asString();
```

```php PayerIdReactivationExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "GB"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIdReactivationExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"GB\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIdReactivationExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["country_code": "GB"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDUpdateAssigneeRequestExample

**Request**

```json
{
  "country_code": "HK",
  "merchant": {
    "city": "ABCDEFHG",
    "state": "III",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "PPP",
    "date": "2020-02-28",
    "tax_identifier": "44444444"
  },
  "beneficiary": [
    {
      "city": "London",
      "state": "VVV",
      "country_code": "GB",
      "beneficiary_id": "65787654",
      "last_name": "YYY",
      "dob": "2022-02-28",
      "tax_identifier": "98765432"
    },
    {
      "city": "London",
      "state": "VVV",
      "beneficiary_id": "54678935",
      "last_name": "YYY"
    }
  ]
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIDUpdateAssigneeRequestExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids"

querystring = {"action":"Activation","client_id":"898918181818181aczta"}

payload = {
    "country_code": "HK",
    "merchant": {
        "city": "ABCDEFHG",
        "state": "III",
        "country_code": "GB",
        "name_1": "XXX",
        "name_2": "PPP",
        "date": "2020-02-28",
        "tax_identifier": "44444444"
    },
    "beneficiary": [
        {
            "city": "London",
            "state": "VVV",
            "country_code": "GB",
            "beneficiary_id": "65787654",
            "last_name": "YYY",
            "dob": "2022-02-28",
            "tax_identifier": "98765432"
        },
        {
            "city": "London",
            "state": "VVV",
            "beneficiary_id": "54678935",
            "last_name": "YYY"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDUpdateAssigneeRequestExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"HK","merchant":{"city":"ABCDEFHG","state":"III","country_code":"GB","name_1":"XXX","name_2":"PPP","date":"2020-02-28","tax_identifier":"44444444"},"beneficiary":[{"city":"London","state":"VVV","country_code":"GB","beneficiary_id":"65787654","last_name":"YYY","dob":"2022-02-28","tax_identifier":"98765432"},{"city":"London","state":"VVV","beneficiary_id":"54678935","last_name":"YYY"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDUpdateAssigneeRequestExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"HK\",\n  \"merchant\": {\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"III\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"PPP\",\n    \"date\": \"2020-02-28\",\n    \"tax_identifier\": \"44444444\"\n  },\n  \"beneficiary\": [\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"country_code\": \"GB\",\n      \"beneficiary_id\": \"65787654\",\n      \"last_name\": \"YYY\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"98765432\"\n    },\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"beneficiary_id\": \"54678935\",\n      \"last_name\": \"YYY\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDUpdateAssigneeRequestExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"HK\",\n  \"merchant\": {\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"III\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"PPP\",\n    \"date\": \"2020-02-28\",\n    \"tax_identifier\": \"44444444\"\n  },\n  \"beneficiary\": [\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"country_code\": \"GB\",\n      \"beneficiary_id\": \"65787654\",\n      \"last_name\": \"YYY\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"98765432\"\n    },\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"beneficiary_id\": \"54678935\",\n      \"last_name\": \"YYY\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDUpdateAssigneeRequestExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"HK\",\n  \"merchant\": {\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"III\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"PPP\",\n    \"date\": \"2020-02-28\",\n    \"tax_identifier\": \"44444444\"\n  },\n  \"beneficiary\": [\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"country_code\": \"GB\",\n      \"beneficiary_id\": \"65787654\",\n      \"last_name\": \"YYY\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"98765432\"\n    },\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"beneficiary_id\": \"54678935\",\n      \"last_name\": \"YYY\"\n    }\n  ]\n}")
  .asString();
```

```php PayerIDUpdateAssigneeRequestExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "HK",
  "merchant": {
    "city": "ABCDEFHG",
    "state": "III",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "PPP",
    "date": "2020-02-28",
    "tax_identifier": "44444444"
  },
  "beneficiary": [
    {
      "city": "London",
      "state": "VVV",
      "country_code": "GB",
      "beneficiary_id": "65787654",
      "last_name": "YYY",
      "dob": "2022-02-28",
      "tax_identifier": "98765432"
    },
    {
      "city": "London",
      "state": "VVV",
      "beneficiary_id": "54678935",
      "last_name": "YYY"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDUpdateAssigneeRequestExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"HK\",\n  \"merchant\": {\n    \"city\": \"ABCDEFHG\",\n    \"state\": \"III\",\n    \"country_code\": \"GB\",\n    \"name_1\": \"XXX\",\n    \"name_2\": \"PPP\",\n    \"date\": \"2020-02-28\",\n    \"tax_identifier\": \"44444444\"\n  },\n  \"beneficiary\": [\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"country_code\": \"GB\",\n      \"beneficiary_id\": \"65787654\",\n      \"last_name\": \"YYY\",\n      \"dob\": \"2022-02-28\",\n      \"tax_identifier\": \"98765432\"\n    },\n    {\n      \"city\": \"London\",\n      \"state\": \"VVV\",\n      \"beneficiary_id\": \"54678935\",\n      \"last_name\": \"YYY\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDUpdateAssigneeRequestExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "HK",
  "merchant": [
    "city": "ABCDEFHG",
    "state": "III",
    "country_code": "GB",
    "name_1": "XXX",
    "name_2": "PPP",
    "date": "2020-02-28",
    "tax_identifier": "44444444"
  ],
  "beneficiary": [
    [
      "city": "London",
      "state": "VVV",
      "country_code": "GB",
      "beneficiary_id": "65787654",
      "last_name": "YYY",
      "dob": "2022-02-28",
      "tax_identifier": "98765432"
    ],
    [
      "city": "London",
      "state": "VVV",
      "beneficiary_id": "54678935",
      "last_name": "YYY"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids?action=Activation&client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```